Search for %s

  1. Search 9.5.x for %s
  2. Search 8.9.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
drupal_access_denied function includes/common.inc Delivers an "access denied" error to the browser.
drupal_add_css function includes/common.inc Adds a cascading stylesheet to the stylesheet queue.
drupal_add_js function includes/common.inc Adds a JavaScript file, setting, or inline code to the page.
drupal_aggregate_css function includes/common.inc Default callback to aggregate CSS files and inline content.
DRUPAL_ANONYMOUS_RID constant includes/bootstrap.inc Role ID for anonymous users; should match what's in the "role" table.
drupal_anonymous_user function includes/bootstrap.inc Generates a default anonymous $user object.
drupal_array_diff_assoc_recursive function includes/common.inc Recursively computes the difference of arrays with additional index check.
drupal_array_get_nested_value function includes/common.inc Retrieves a value from a nested array with variable depth.
drupal_array_nested_key_exists function includes/common.inc Determines whether a nested array contains the requested keys.
drupal_array_set_nested_value function includes/common.inc Sets a value in a nested array with variable depth.
drupal_attributes function includes/common.inc Converts an associative array to an XML/HTML tag attribute string.
drupal_autoload_class function includes/bootstrap.inc Confirms that a class is available.
drupal_autoload_test.info file modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.info name = "Drupal code registry test"
description = "Support module for testing the code registry."
files[] = drupal_autoload_test_interface.inc
files[] = drupal_autoload_test_class.inc
package = Testing
version = VERSION
core =…
drupal_autoload_test.module file modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module Test module to check code registry.
drupal_autoload_test_class.inc file modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test_class.inc Test classes for code registry testing.
drupal_autoload_test_interface.inc file modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test_interface.inc Test interfaces for code registry testing.
drupal_autoload_test_registry_files_alter function modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module Implements hook_registry_files_alter().
drupal_autoload_test_trait.sh file modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test_trait.sh Test traits for code registry testing.
drupal_base64_encode function includes/bootstrap.inc Returns a URL-safe, base64 encoded version of the supplied string.
drupal_basename function includes/file.inc Gets the filename from a given path.
drupal_bootstrap function includes/bootstrap.inc Ensures Drupal is bootstrapped to the specified phase.
DRUPAL_BOOTSTRAP_CONFIGURATION constant includes/bootstrap.inc First bootstrap phase: initialize configuration.
DRUPAL_BOOTSTRAP_DATABASE constant includes/bootstrap.inc Third bootstrap phase: initialize database layer.
DRUPAL_BOOTSTRAP_FULL constant includes/bootstrap.inc Final bootstrap phase: Drupal is fully loaded; validate and fix input data.
DRUPAL_BOOTSTRAP_LANGUAGE constant includes/bootstrap.inc Seventh bootstrap phase: find out language of the page.
DRUPAL_BOOTSTRAP_PAGE_CACHE constant includes/bootstrap.inc Second bootstrap phase: try to serve a cached page.
DRUPAL_BOOTSTRAP_PAGE_HEADER constant includes/bootstrap.inc Sixth bootstrap phase: set up the page header.
DRUPAL_BOOTSTRAP_SESSION constant includes/bootstrap.inc Fifth bootstrap phase: initialize session handling.
DRUPAL_BOOTSTRAP_VARIABLES constant includes/bootstrap.inc Fourth bootstrap phase: initialize the variable system.
drupal_build_css_cache function includes/common.inc Aggregates and optimizes CSS files into a cache file in the files directory.
drupal_build_js_cache function includes/common.inc Aggregates JavaScript files into a cache file in the files directory.
DRUPAL_CACHE_CUSTOM constant includes/common.inc The block is handling its own caching in its hook_block_view().
DRUPAL_CACHE_PER_USER constant includes/common.inc The block or element can change depending on the user.
drupal_cache_system_paths function includes/path.inc Cache system paths for a page.
drupal_check_trusted_hosts function includes/bootstrap.inc Checks trusted HTTP Host headers to protect against header injection attacks.
drupal_clean_css_identifier function includes/common.inc Prepares a string for use as a CSS identifier (element, class, or ID name).
drupal_clear_css_cache function includes/common.inc Deletes old cached CSS files.
drupal_clear_js_cache function includes/common.inc Deletes old cached JavaScript files and variables.
DRUPAL_CRON_DEFAULT_THRESHOLD constant modules/system/system.module Default interval for automatic cron executions in seconds.
drupal_current_script_url function includes/install.inc Returns the URL of the current script, with modified query parameters.
drupal_delete_file_if_stale function includes/common.inc Callback to delete files modified more than a set time ago.
drupal_depth_first_search function includes/graph.inc Performs a depth-first search and sort on a directed acyclic graph.
drupal_detect_baseurl function includes/install.inc Detects the base URL using the PHP $_SERVER variables.
drupal_detect_database_types function includes/install.inc Detects all supported databases that are compiled into PHP.
DRUPAL_DISABLED constant modules/system/system.module Disabled option on forms and settings
drupal_error_levels function includes/errors.inc Maps PHP error constants to watchdog severity levels.
drupal_explode_tags function includes/common.inc Explodes a string of tags into an array.
drupal_fast_404 function includes/bootstrap.inc Returns a simple 404 Not Found page.
drupal_file_scan_write_cache function includes/bootstrap.inc Writes the file scan cache to the persistent cache.
drupal_find_base_themes function includes/theme.inc Find all the base themes for the specified theme.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.